# Get Saved Searches Use this endpoint to retrieve all Saved Searches available to the signed in user. Endpoint: GET /user/searches Version: 1.5 Security: ApiKeyAuth, BasicAuth ## Header parameters: - `X-API-Key` (string, required) Customer-specific API key required to invoke API. - `Authorization` (string, required) Provided by Authentication Token creation operation ## Response 200 fields (application/json): - `status` (string) Result of the API request Example: "success" - `data` (array) List of Saved Search objects - `data.searchId` (string) Saved Search ID in UUID format Example: "6c921f5c-24c2-40b9-8718-3ad2d4a6be54" - `data.searchTitle` (string) Name of the Saved Search Example: "Hooli Products 2026" - `data.searchDocument` (object) Details of the saved search - `data.searchDocument.tags` (array) List of Search Terms passed in the search Example: ["Gilfoyle","Dinesh","Erlich"] - `data.searchDocument.createdEpoch` (integer) Epoch value when the saved search was created Example: 1773161069216 - `data.searchDocument.facetFilters` (array) List of Search Terms passed in the search Example: ["(System Created Date:\"1774508400000__1774594799999\")","(Asset Type:\"Logo\" OR Asset Type:\"Graphic\")"] - `data.searchDocument.route` (string) View from which the saved search was created from. Example: "gallery" - `data.searchDocument.matchAny` (boolean) Determines the status of the 'AND'/'OR' toggle at the time of search creation. Match Any will be false if the toggle is set to 'AND'. Match Any will be true if the toggle is set to 'OR'. - `data.searchDocument.type` (string) Determines whether the search is a private or shared search Enum: "private", "shared" - `data.searchDocument.includeVersions` (boolean) Determines if this search includes non-current versions in the result set. - `data.searchDocument.searchKeywordField` (string) Specified Search Target Enum: "filename", "metadata", "content", "assetId" - `data.searchDocument.sortBy` (string) Field the search results are sorted by Example: "createdEpoch" ## Response 401 fields (application/json): - `message` (string) - `detail` (string) ## Response 403 fields (application/json): - `message` (string) - `detail` (string)